Name:           gnash
Version:        0.8.1
Release:        6%{?dist}
Summary:        GNU flash movie player

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://www.gnu.org/software/gnash/
Source0:        http://ftp.gnu.org/gnu/gnash/%{version}/%{name}-%{version}.tar.gz
# from Martin Stransky
Patch0:         gnash-plugin.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml2-devel libpng-devel libjpeg-devel libogg-devel
BuildRequires:  boost-devel curl-devel 
# the opengl devel packages are required by gtkglext-devel
# monolithic Xorg
#BuildRequires:  xorg-x11-devel
# modular Xorg 
#BuildRequires:  libGLU-devel libGL-devel
BuildRequires:  SDL-devel 
BuildRequires:  agg25-devel 
BuildRequires:  kdelibs-devel
BuildRequires:  gtkglext-devel
BuildRequires:  docbook2X
BuildRequires:  gstreamer-devel >= 0.10
BuildRequires:  scrollkeeper

Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
Gnash is a GNU Flash movie player based on GameSWF,
and supports many SWF v7 features.

%package plugin
Summary:   Web-client flash movie player plugin 
Requires:  %{name} = %{version}-%{release}
# this doesn't prevent wrong dependencies, in case a package
# provides %%{_libdir}/mozilla/plugins (like kdebase for konqueror)
# and another unrelated webbrowser is installed, like w3m-el.
# Moreover konqueror could provide webclient some day
Requires:  %{_libdir}/mozilla/plugins webclient
Group:     Applications/Internet

%description plugin
The gnash flash movie player plugin for firefox or mozilla.

%package klash
Summary:   Konqueror flash movie player plugin
Requires:  %{name} = %{version}-%{release}
Group:     Applications/Multimedia

%description klash
The gnash flash movie player plugin for Konqueror.

# cygnal just segfaults for me
#%package cygnal
#Summary:   Streaming media server
#Requires:  %{name} = %{version}-%{release}
#Group:     Applications/Multimedia

#%description cygnal
#Cygnal is a streaming media server that's Flash aware.


%prep
%setup -q
%patch0 -p1 -b .plugin

chmod a-x libgeometry/snappingrange.h backend/render*.h gui/gtk_glue_agg.{h,cpp} 
iconv -f latin1 -t utf8 < AUTHORS > AUTHORS.utf8
touch -r AUTHORS AUTHORS.utf8
mv AUTHORS.utf8 AUTHORS

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-static --with-plugindir=%{_libdir}/mozilla/plugins \
  --enable-ghelp --enable-docbook --enable-media=GST \
  --disable-dependency-tracking --disable-rpath \
  --with-qtdir=$QTDIR
#doesn't work currently: %%{?_smp_mflags}
make 

# texinfo and therefore info generation is broken, still we have the
# code to regenerate them
pushd doc/C
rm gnash.html gnash.1 gnash.info gnash.texi actionscript.html \
   actionscript.info actionscript.texi
make man html info
pushd asspec
rm asspec.info asspec.html asspec.texi
make html info
popd
popd


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/gnash/*.la
#rm \
# $RPM_BUILD_ROOT%{_libdir}/libgnashamf.so \
# $RPM_BUILD_ROOT%{_libdir}/libgnashbackend.so \
# $RPM_BUILD_ROOT%{_libdir}/libgnashbase.so \
# $RPM_BUILD_ROOT%{_libdir}/libgnashgeo.so \
# $RPM_BUILD_ROOT%{_libdir}/libgnashgui.so \
# $RPM_BUILD_ROOT%{_libdir}/libgnashserver.so \
# $RPM_BUILD_ROOT%{_libdir}/libgnashplayer.so \
# $RPM_BUILD_ROOT%{_libdir}/libklashplayer.so
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
# don't package libltdl related files!
rm \
 $RPM_BUILD_ROOT%{_libdir}/gnash/libltdl*
rm \
 $RPM_BUILD_ROOT%{_includedir}/ltdl.h
# info isn't generated rightly
rm -rf \
 $RPM_BUILD_ROOT%{_infodir}/
# omf/scrollkeeper related files are broken, some files are missing, and
# omf files are wrong
rm -rf \
 $RPM_BUILD_ROOT%{_datadir}/omf
# cygnal just segfaults
#rm \
# $RPM_BUILD_ROOT%{_bindir}/cygnal

# cp -p doc/C/actionscript.info $RPM_BUILD_ROOT%{_infodir}/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post 
/sbin/ldconfig
#scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
# the info is empty, but doesn't hurt
#/sbin/install-info --entry="* Gnash: (gnash). GNU Flash Player" %{_infodir}/%{name}.info %{_infodir}/dir || :
#/sbin/install-info %{_infodir}/asspec.info %{_infodir}/dir || :
#/sbin/install-info %{_infodir}/actionscript.info %{_infodir}/dir || :

%preun
#if [ $1 = 0 ]; then
    #/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
    #/sbin/install-info --delete %{_infodir}/asspec.info %{_infodir}/dir || :
    #/sbin/install-info --delete %{_infodir}/actionscript.info %{_infodir}/dir || :
#fi

%postun
/sbin/ldconfig
#scrollkeeper-update -q || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS 
%doc doc/C/gnash.html doc/C/actionscript.html doc/C/asspec/asspec.html
%doc doc/C/images
%{_bindir}/gtk-gnash
%{_bindir}/gnash
%{_bindir}/gparser
%{_bindir}/gprocessor
%{_libdir}/gnash/
#%{_libdir}/libgnash*-*.so
#%{_libdir}/libklash*-*.so
%{_mandir}/man1/gnash*
#%{_infodir}/gnash*
%{_datadir}/gnash/
#%{_datadir}/omf/gnash/

%files plugin
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/libgnashplugin.so

%files klash
%defattr(-,root,root,-)
%{_bindir}/kde-gnash
%{_libdir}/kde3/libklashpart.*
%{_datadir}/apps/klash/
#%{_datadir}/config/klashrc
%{_datadir}/services/klash_part.desktop

#%files cygnal
#%defattr(-,root,root,-)
#%{_bindir}/cygnal

%changelog
* Sun Dec 16 2007 Karanbir Singh <kbsingh@karan.org> - 0.8.1-6.el5.kb
- depend on agg25 instead of agg

* Sat Oct 27 2007 Patrice Dumas <pertusus@free.fr> 0.8.1-6
- add patch from Martin Stransky to fix wrapped plugin #281061

* Thu Sep 20 2007 Patrice Dumas <pertusus@free.fr> 0.8.1-5
- info files are empty, don't install them

* Thu Sep 20 2007 Patrice Dumas <pertusus@free.fr> 0.8.1-4
- omf/scrollkeeper doc is broken, remove it

* Fri Sep  7 2007 Patrice Dumas <pertusus@free.fr> 0.8.1-3
- better documentation generation

* Wed Sep  5 2007 Patrice Dumas <pertusus@free.fr> 0.8.1-2
- update to 0.8.1
- agg is now the default renderer

* Fri Aug  3 2007 Patrice Dumas <pertusus@free.fr> 0.8.0-2
- rebuild for boost soname change

* Sun Jun 17 2007 Patrice Dumas <pertusus@free.fr> 0.8.0-1
- update to 0.8.0

* Wed May  9 2007 Patrice Dumas <pertusus@free.fr> 0.7.2-2
- fix CVE-2007-2500 (fix 239213)

* Sat Nov  6 2006 Patrice Dumas <pertusus@free.fr> 0.7.2-1
- update for 0.7.2 release.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.7.1-9
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sun Sep 24 2006 Patrice Dumas <pertusus@free.fr> 0.7.1-8
- plugin requires %%{_libdir}/mozilla/plugins. Fix (incompletly and 
  temporarily, but there is no better solution yet) #207613

* Sun Aug 27 2006 Patrice Dumas <pertusus@free.fr> - 0.7.1-7
- add defattr for klash
- add warnings in the description about stability

* Mon Aug 21 2006 Patrice Dumas <pertusus@free.fr> - 0.7.1-6
- remove superfluous buildrequires autoconf
- rename last patch to gnash-plugin-tempfile-dir.patch
- add README.fedora to plugin to explain tmpdirs

* Wed Aug 16 2006 Jens Petersen <petersen@redhat.com> - 0.7.1-5
- source qt.sh and configure --with-qtdir (Dominik Mierzejewski)
- add plugin-tempfile-dir.patch for plugin to use a safe tempdir

* Fri Jul 28 2006 Jens Petersen <petersen@redhat.com> - 0.7.1-4
- buildrequire autotools (Michael Knox)

* Fri Jun  2 2006 Patrice Dumas <pertusus@free.fr> - 0.7.1-3
- add gnash-continue_on_info_install_error.patch to avoid
- buildrequire libXmu-devel

* Wed May 17 2006 Jens Petersen <petersen@redhat.com> - 0.7.1-2
- configure with --disable-rpath
- buildrequire docbook2X
- remove devel files

* Sun May  7 2006 Jens Petersen <petersen@redhat.com> - 0.7.1-1
- update to 0.7.1 alpha release

* Sat Apr  22 2006 Rob Savoye <rob@welcomehome.org> - 0.7-1
- install the info file. Various tweaks for my system based on
Patrice's latest patch,

* Fri Feb  3 2006 Patrice Dumas <dumas@centre-cired.fr> - 0.7-1
- initial packaging
